
QGIS Application - Bug report #2751

Symbols lost in composer legend going from 1.4 to 1.5

2010-05-26 09:23 PM - mesajs -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12811

Description

Steps:

1. Using QGIS 1.4, create a map in print composer with a legend (all old symbology), and customise legend

2. Open project in QGIS 1.5 (r13578M)

Result: The customised legend appears, but symbols are missing.

History

#1 - 2010-05-26 10:59 PM - Marco Hugentobler

Good point. It needs a project file transformation for backwards compatibility.

#2 - 2010-05-27 03:31 AM - mesajs -

Could this be related to another issue I found opening a map created in 1.4 in 1.5:

The map had a number of arrows and labels. I selected one of the arrows, clicked 'Bring to front', and a nearby label disappeared.

#3 - 2010-05-29 01:10 AM - Marco Hugentobler

No, that's a different problem (bug in sorting of item z-List). commit:98f68b04 (SVN r13586) tries to fix it.

#4 - 2010-05-29 03:11 PM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:f9a5aec8 (SVN r13599)
